# $Id: kernel-modules-qvm86.spec,v 1.4 2007/11/13 11:12:57 vsu Exp $

%define module_name qvm86
%define module_version 20050904
%define module_release alt3

%define kversion 2.6.18
%define krelease alt5.M40.2
%define flavour xen-domU

Name: kernel-modules-%module_name-%flavour
Version: %module_version
Release: %module_release.132626.5.M40.2

Summary: QEMU x86 virtualization module
License: GPL
Group: System/Kernel and hardware 

Packager:       Kernel Maintainer Team <kernel@packages.altlinux.org>

ExclusiveOS:    Linux

URL: http://savannah.nongnu.org/projects/qvm86/

BuildRequires: kernel-source-qvm86 = %version
BuildRequires: kernel-headers-modules-%flavour = %kversion-%krelease
BuildRequires(pre): rpm-build-kernel

Requires(pre,postun): kernel-image-%flavour = %kversion-%krelease

Provides: kernel-modules-%module_name-%kversion-%flavour-%krelease = %version-%release
Conflicts: kernel-modules-%module_name-%kversion-%flavour-%krelease < %version-%release
Conflicts: kernel-modules-%module_name-%kversion-%flavour-%krelease > %version-%release

ExclusiveArch: %ix86 x86_64

%description
qvm86 is a kernel module to provide x86 virtualisation capabilities for the
qemu emulator. Virtualisation allows "emulated" code to be run natively on
the host cpu, using the CPU protection mechanisms to intercept and emulate
priveleged events.

%prep
rm -rf kernel-source-qvm86-%version
tar jxf %kernel_src/kernel-source-qvm86-%version.tar.bz2
%setup -DT -n kernel-source-qvm86-%version

%build
. %_usrsrc/linux-%kversion-%flavour/gcc_version.inc
%if "%kversion" < "2.6.0"
#build for 2.4 kernel
%make_build KERNEL_PATH=%_usrsrc/linux-%kversion-%flavour
%else
#build for 2.6 kernel
%make_build CONFIG_KBUILD26=1 KERNEL_PATH=%_usrsrc/linux-%kversion-%flavour
%endif

%install
%define module_dir /lib/modules/%kversion-%flavour-%krelease/%module_name
%if "%kversion" < "2.6.0"
install -pD -m644 qvm86.o %buildroot%module_dir/qvm86.o
%else
install -pD -m644 qvm86.ko %buildroot%module_dir/qvm86.ko
%endif

%post
%post_kernel_modules %kversion-%flavour-%krelease

%postun
%postun_kernel_modules %kversion-%flavour-%krelease

%files
%module_dir

%changelog
* Tue Jun 10 2008 Michail Yakushin <silicium@altlinux.ru> 20050904-alt3.132626.5.M40.2
- Build for kernel-image-xen-domU-2.6.18-alt5.M40.2.

* Mon Jan 29 2007 Sergey Vlasov <vsu@altlinux.ru> 20050904-alt3
- Removed unneeded "Requires(pre,postun): modutils".

* Sat Aug 12 2006 L.A. Kostis <lakostis@altlinux.ru> 20050904-alt2
- imported to ALT kernel cvs.
- fix build for 2.4 kernels.

* Wed Aug 09 2006 Alexey Tourbin <at@altlinux.ru> 20050904-alt1
- initial revision
